import React, { ReactNode } from 'react';
import { PopupProps } from '../popup';
import { NativeProps } from '../../utils/native-props';
import { PickerColumn, PickerColumnItem, PickerValue, PickerValueExtend } from './index';
export declare type PickerActions = {
    open: () => void;
    close: () => void;
    toggle: () => void;
};
export declare type PickerRef = PickerActions;
export declare type PickerProps = {
    columns: PickerColumn[] | ((value: PickerValue[]) => PickerColumn[]);
    value?: PickerValue[];
    defaultValue?: PickerValue[];
    onSelect?: (value: PickerValue[], extend: PickerValueExtend) => void;
    onConfirm?: (value: PickerValue[], extend: PickerValueExtend) => void;
    onCancel?: () => void;
    onClose?: () => void;
    closeOnMaskClick?: boolean;
    visible?: boolean;
    title?: ReactNode;
    confirmText?: ReactNode;
    cancelText?: ReactNode;
    children?: (items: (PickerColumnItem | null)[], actions: PickerActions) => ReactNode;
    renderLabel?: (item: PickerColumnItem) => ReactNode;
    mouseWheel?: boolean;
    popupClassName?: string;
    popupStyle?: React.CSSProperties;
    forceRender?: boolean;
    destroyOnClose?: boolean;
} & Pick<PopupProps, 'getContainer' | 'afterShow' | 'afterClose' | 'onClick' | 'stopPropagation'> & NativeProps<'--header-button-font-size' | '--title-font-size' | '--item-font-size' | '--item-height'>;
export declare const Picker: React.MemoExoticComponent<React.ForwardRefExoticComponent<{
    columns: PickerColumn[] | ((value: PickerValue[]) => PickerColumn[]);
    value?: PickerValue[] | undefined;
    defaultValue?: PickerValue[] | undefined;
    onSelect?: ((value: PickerValue[], extend: PickerValueExtend) => void) | undefined;
    onConfirm?: ((value: PickerValue[], extend: PickerValueExtend) => void) | undefined;
    onCancel?: (() => void) | undefined;
    onClose?: (() => void) | undefined;
    closeOnMaskClick?: boolean | undefined;
    visible?: boolean | undefined;
    title?: ReactNode;
    confirmText?: ReactNode;
    cancelText?: ReactNode;
    children?: ((items: (PickerColumnItem | null)[], actions: PickerActions) => ReactNode) | undefined;
    renderLabel?: ((item: PickerColumnItem) => ReactNode) | undefined;
    mouseWheel?: boolean | undefined;
    popupClassName?: string | undefined;
    popupStyle?: React.CSSProperties | undefined;
    forceRender?: boolean | undefined;
    destroyOnClose?: boolean | undefined;
} & Pick<PopupProps, "onClick" | "getContainer" | "afterShow" | "afterClose" | "stopPropagation"> & NativeProps<"--item-height" | "--header-button-font-size" | "--title-font-size" | "--item-font-size"> & React.RefAttributes<PickerActions>>>;
